import os
files=os.listdir("./chapters")
print("欢迎使用FTB任务翻译脚本。")
print("初次使用的话，以下起始数值为1；否则为先前分配的结果数值。")
print("多次使用请手动拼接语言文件。")
descrcnt=int(input("输入【任务描述】ID分配起始数值："))
titlecnt=int(input("输入【标题】ID分配起始数值："))
subtlcnt=int(input("输入【副标题】ID分配起始数值："))
lang=[]
for i in files:
    file=open("./chapters/"+i,mode='r',encoding='utf8')
    print("正在处理"+i+"...")
    text=file.read()
    roughtext=text.split("\n")
    
    descmark=False
    for k in range(len(roughtext)):
        j=roughtext[k].replace("\t","")
        if j.find("{")!=-1:
            continue

        
        if j=="]":
            descmark=False
        if descmark:
            lang.append('"quests.desc.'+str(descrcnt)+'":'+j)
            roughtext[k]=roughtext[k].replace(j,'"{quests.desc.'+str(descrcnt)+'}"')
            descrcnt+=1
        if j=="description: [":
            descmark=True
            continue

        if j[:14]=="description: [":
            lang.append('"quests.desc.'+str(descrcnt)+'":'+j[14:-1])
            roughtext[k]=roughtext[k].replace(j[14:-1],'"{quests.desc.'+str(descrcnt)+'}"')
            descrcnt+=1
        
        if j[:7]=="title: ":
            lang.append('"quests.title.'+str(titlecnt)+'":'+j[7:])
            roughtext[k]=roughtext[k].replace(j[7:],'"{quests.title.'+str(titlecnt)+'}"')
            titlecnt+=1
            
        if j[:10]=="subtitle: ":
            lang.append('"quests.subtl.'+str(subtlcnt)+'":'+j[10:])
            roughtext[k]=roughtext[k].replace(j[10:],'"{quests.subtl.'+str(subtlcnt)+'}"')
            subtlcnt+=1
        
    file.close()
    file=open("./chapters/"+i,mode='w',encoding='utf8')
    file.write("\n".join(roughtext));
    file.close()

file=open("./lang.json",mode='w',encoding='utf8')
file.write("{\n\t"+",\n\t".join(lang)+"\n}")
file.close()
print("【任务描述】ID分配最终数值：",descrcnt)
print("【标题】ID分配最终数值：",titlecnt)
print("【副标题】ID分配最终数值：",subtlcnt)
input()
